Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA_2_3
Class ORB

    java.lang.Object
      |
      +--org.omg.CORBA.ORB
            |
            +--org.omg.CORBA_2_3.ORB

public abstract class ORB
extends ORB

A class extending `org.omg.CORBA.ORB` to make the ORB portable under the OMG CORBA version 2.3 specification.

Constructor Summary
`ORB()`

Method Summary
`Object` | `get_value_def(String repid)`
`ValueFactory` | `lookup_value_factory(String id)`
`ValueFactory` | `register_value_factory(String id, ValueFactory factory)`
`void` | `set_delegate(Object wrapper)`
`void` | `unregister_value_factory(String id)`

Methods inherited from class org.omg.CORBA.ORB
`connect, create_abstract_interface_tc, create_alias_tc, create_any, create_array_tc, create_basic_dyn_any, create_context_list, create_dyn_any, create_dyn_array, create_dyn_enum, create_dyn_sequence, create_dyn_struct, create_dyn_union, create_enum_tc, create_environment, create_exception_list, create_exception_tc, create_fixed_tc, create_interface_tc, create_list, create_named_value, create_native_tc, create_operation_list, create_output_stream, create_policy, create_recursive_sequence_tc, create_recursive_tc, create_sequence_tc, create_string_tc, create_struct_tc, create_union_tc, create_value_box_tc, create_value_tc, create_wstring_tc, destroy, disconnect, get_current, get_default_context, get_next_response, get_primitive_tc, get_service_information, init, init, init, list_initial_services, object_to_string, perform_work, poll_next_response, resolve_initial_references, run, send_multiple_requests_deferred, send_multiple_requests_oneway, set_parameters, set_parameters, shutdown, string_to_object, work_pending`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORB

    public ORB()

Method Detail

### register_value_factory

    public ValueFactory register_value_factory(String id,
                                               ValueFactory factory)

  See Also:
    `CORBA_2_3` package comments for unimplemented features

### unregister_value_factory

    public void unregister_value_factory(String id)

  See Also:
    `CORBA_2_3` package comments for unimplemented features

### lookup_value_factory

    public ValueFactory lookup_value_factory(String id)

  See Also:
    `CORBA_2_3` package comments for unimplemented features

### get_value_def

    public Object get_value_def(String repid)
                         throws BAD_PARAM

  See Also:
    `CORBA_2_3` package comments for unimplemented features

### set_delegate

    public void set_delegate(Object wrapper)

  See Also:
    `CORBA_2_3` package comments for unimplemented features

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.